<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page">
	<header class="header">
		<div class="pre-head">
			<div class="container">
				<div class="row">
					<div class="col-sm-7 col-xs-12">
						<?php if ( get_theme_mod( 'header_address_text' ) ): ?>
							<span class="head-text-icon">
								<i class="fa fa-map-marker"></i>
								<?php if ( get_theme_mod( 'header_address_url' ) ): ?>
									<a href="<?php echo esc_url( get_theme_mod( 'header_address_url' ) ); ?>">
										<?php echo esc_html( get_theme_mod( 'header_address_text' ) ); ?>
									</a>
								<?php else: ?>
									<?php echo esc_html( get_theme_mod( 'header_address_text' ) ); ?>
								<?php endif; ?>
							</span>
						<?php endif; ?>

						<?php if ( get_theme_mod( 'header_telephone_text' ) ): ?>
							<span class="head-text-icon">
								<i class="fa fa-phone"></i>
								<?php if ( get_theme_mod( 'header_telephone_url' ) ): ?>
									<a href="tel:<?php echo esc_attr( get_theme_mod( 'header_telephone_url' ) ); ?>">
										<?php echo esc_html( get_theme_mod( 'header_telephone_text' ) ); ?>
									</a>
								<?php else: ?>
									<?php echo esc_html( get_theme_mod( 'header_telephone_text' ) ); ?>
								<?php endif; ?>
							</span>
						<?php endif; ?>
					</div>
					<div class="col-sm-5 col-xs-12">
						<?php if ( get_theme_mod( 'header_socials', 1 ) ) {
							get_template_part( 'part-social-icons' );
						} ?>
					</div>
				</div>
			</div>
		</div>

		<div class="mast-head">
			<div class="container">
				<div class="row">
					<div class="col-xs-12">
						<div class="mast-head-wrap">
							<div class="mast-head-left">
								<?php if ( is_front_page() ): ?>
									<h1 class="site-logo">
								<?php else: ?>
									<p class="site-logo">
								<?php endif; ?>
									<?php if ( function_exists( 'the_custom_logo' ) ) {
										the_custom_logo();
									} ?>

									<?php if ( get_theme_mod( 'show_site_title', 1 ) ): ?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site-logo-textual">
											<?php bloginfo( 'name' ); ?>
										</a>
									<?php endif; ?>
								<?php if ( is_front_page() ): ?>
									</h1>
								<?php else: ?>
									</p>
								<?php endif; ?>

								<?php if ( get_theme_mod( 'show_site_tagline', 1 ) ): ?>
									<p class="site-tagline"><?php bloginfo( 'description' ); ?></p>
								<?php endif; ?>
							</div>
							<div class="mast-head-right">
								<nav class="nav">
									<?php wp_nav_menu( array(
										'theme_location' => 'main_menu',
										'container'      => '',
										'menu_id'        => '',
										'menu_class'     => 'navigation'
									) ); ?>
								</nav>
								<div id="mobilemenu"></div><a href="#mobilemenu" class="mobile-menu-trigger"><i class="fa fa-navicon"></i><span class="screen-reader-text"><?php esc_html_e( 'Open Mobile Menu', 'technico' ); ?></span></a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
