<?php
	add_action( 'init', 'technico_create_diy' );

	if ( ! function_exists( 'technico_create_diy' ) ):
	function technico_create_diy() {
		$labels = array(
			'name'               => esc_html_x( 'DIY Projects', 'post type general name', 'technico' ),
			'singular_name'      => esc_html_x( 'DIY Project', 'post type singular name', 'technico' ),
			'menu_name'          => esc_html_x( 'DIY Projects', 'admin menu', 'technico' ),
			'name_admin_bar'     => esc_html_x( 'DIY Project', 'add new on admin bar', 'technico' ),
			'add_new'            => esc_html__( 'Add New', 'technico' ),
			'add_new_item'       => esc_html__( 'Add New DIY Project', 'technico' ),
			'edit_item'          => esc_html__( 'Edit DIY Project', 'technico' ),
			'new_item'           => esc_html__( 'New DIY Project', 'technico' ),
			'view_item'          => esc_html__( 'View DIY Project', 'technico' ),
			'search_items'       => esc_html__( 'Search DIY Projects', 'technico' ),
			'not_found'          => esc_html__( 'No DIY Projects found', 'technico' ),
			'not_found_in_trash' => esc_html__( 'No DIY Projects found in the trash', 'technico' ),
			'parent_item_colon'  => esc_html__( 'Parent DIY Project:', 'technico' )
		);

		$args = array(
			'labels'          => $labels,
			'singular_label'  => esc_html_x( 'DIY Project', 'post type singular name', 'technico' ),
			'public'          => true,
			'show_ui'         => true,
			'capability_type' => 'post',
			'hierarchical'    => false,
			'has_archive'     => _x( 'diy-archive', 'post type archive slug', 'technico' ),
			'rewrite'         => array( 'slug' => esc_html_x( 'diy', 'post type slug', 'technico' ) ),
			'menu_position'   => 5,
			'supports'        => array( 'title', 'editor', 'thumbnail', 'author', 'excerpt', 'comments', 'trackbacks', 'revisions' ),
			'menu_icon'       => 'dashicons-hammer'
		);

		register_post_type( 'technico_diy', $args );

		$labels = array(
			'name'              => esc_html_x( 'DIY Project Categories', 'taxonomy general name', 'technico' ),
			'singular_name'     => esc_html_x( 'DIY Project Category', 'taxonomy singular name', 'technico' ),
			'search_items'      => esc_html__( 'Search DIY Project Categories', 'technico' ),
			'all_items'         => esc_html__( 'All DIY Project Categories', 'technico' ),
			'parent_item'       => esc_html__( 'Parent DIY Project Category', 'technico' ),
			'parent_item_colon' => esc_html__( 'Parent DIY Project Category:', 'technico' ),
			'edit_item'         => esc_html__( 'Edit DIY Project Category', 'technico' ),
			'update_item'       => esc_html__( 'Update DIY Project Category', 'technico' ),
			'add_new_item'      => esc_html__( 'Add New DIY Project Category', 'technico' ),
			'new_item_name'     => esc_html__( 'New DIY Project Category Name', 'technico' ),
			'menu_name'         => esc_html__( 'Categories', 'technico' ),
			'view_item'         => esc_html__( 'View DIY Project Category', 'technico' ),
			'popular_items'     => esc_html__( 'Popular DIY Project Categories', 'technico' ),
		);
		register_taxonomy( 'technico_diy_category', array( 'technico_diy' ), array(
			'labels'            => $labels,
			'hierarchical'      => true,
			'show_admin_column' => true,
			'rewrite'           => array( 'slug' => esc_html_x( 'diy-category', 'taxonomy slug', 'technico' ) ),
		) );

	}
	endif;

	add_action( 'admin_init', 'technico_cpt_diy_add_metaboxes' );
	add_action( 'save_post', 'technico_cpt_diy_update_meta' );

	if ( ! function_exists( 'technico_cpt_diy_add_metaboxes' ) ):
	function technico_cpt_diy_add_metaboxes() {
		add_meta_box( 'technico-diy-box', esc_html__( 'DIY Project Options', 'technico' ), 'technico_add_cpt_diy_meta_box', 'technico_diy', 'normal', 'high' );
	}
	endif;

	if ( ! function_exists( 'technico_cpt_diy_update_meta' ) ):
	function technico_cpt_diy_update_meta( $post_id ) {

		if ( ! technico_can_save_meta( 'technico_diy' ) ) {
			return;
		}

		update_post_meta( $post_id, 'technico_hide_featured', technico_sanitize_checkbox_ref( $_POST['technico_hide_featured'] ) );
	}
	endif;

	if ( ! function_exists( 'technico_add_cpt_diy_meta_box' ) ):
	function technico_add_cpt_diy_meta_box( $object, $box ) {
		technico_prepare_metabox( 'technico_diy' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_checkbox( 'technico_hide_featured', 1, esc_html__( "Don't show the featured image when viewing this individual page.", 'technico' ) );
			technico_metabox_close_tab();
		?></div><?php
	}
	endif;
