<?php
	add_action( 'init', 'technico_create_faq' );

	if ( ! function_exists( 'technico_create_faq' ) ):
	function technico_create_faq() {
		$labels = array(
			'name'               => esc_html_x( 'FAQs', 'post type general name', 'technico' ),
			'singular_name'      => esc_html_x( 'FAQ', 'post type singular name', 'technico' ),
			'menu_name'          => esc_html_x( 'FAQs', 'admin menu', 'technico' ),
			'name_admin_bar'     => esc_html_x( 'FAQ', 'add new on admin bar', 'technico' ),
			'add_new'            => esc_html__( 'Add New', 'technico' ),
			'add_new_item'       => esc_html__( 'Add New FAQ', 'technico' ),
			'edit_item'          => esc_html__( 'Edit FAQ', 'technico' ),
			'new_item'           => esc_html__( 'New FAQ', 'technico' ),
			'view_item'          => esc_html__( 'View FAQ', 'technico' ),
			'search_items'       => esc_html__( 'Search FAQs', 'technico' ),
			'not_found'          => esc_html__( 'No FAQs found', 'technico' ),
			'not_found_in_trash' => esc_html__( 'No FAQs found in the trash', 'technico' ),
			'parent_item_colon'  => esc_html__( 'Parent FAQ:', 'technico' )
		);

		$args = array(
			'labels'              => $labels,
			'singular_label'      => esc_html_x( 'FAQ', 'post type singular name', 'technico' ),
			'public'              => true,
			'show_ui'             => true,
			'exclude_from_search' => true,
			'publicly_queryable'  => false,
			'capability_type'     => 'post',
			'hierarchical'        => false,
			'has_archive'         => false,
			'rewrite'             => array( 'slug' => esc_html_x( 'faq', 'post type slug', 'technico' ) ),
			'menu_position'       => 5,
			'supports'            => array( 'title', 'editor' ),
			'menu_icon'           => 'dashicons-list-view'
		);

		register_post_type( 'technico_faq', $args );

		$labels = array(
			'name'              => esc_html_x( 'FAQ Categories', 'taxonomy general name', 'technico' ),
			'singular_name'     => esc_html_x( 'FAQ Category', 'taxonomy singular name', 'technico' ),
			'search_items'      => esc_html__( 'Search FAQ Categories', 'technico' ),
			'all_items'         => esc_html__( 'All FAQ Categories', 'technico' ),
			'parent_item'       => esc_html__( 'Parent FAQ Category', 'technico' ),
			'parent_item_colon' => esc_html__( 'Parent FAQ Category:', 'technico' ),
			'edit_item'         => esc_html__( 'Edit FAQ Category', 'technico' ),
			'update_item'       => esc_html__( 'Update FAQ Category', 'technico' ),
			'add_new_item'      => esc_html__( 'Add New FAQ Category', 'technico' ),
			'new_item_name'     => esc_html__( 'New FAQ Category Name', 'technico' ),
			'menu_name'         => esc_html__( 'Categories', 'technico' ),
			'view_item'         => esc_html__( 'View FAQ Category', 'technico' ),
			'popular_items'     => esc_html__( 'Popular FAQ Categories', 'technico' ),
		);
		register_taxonomy( 'technico_faq_category', array( 'technico_faq' ), array(
			'labels'            => $labels,
			'hierarchical'      => true,
			'show_admin_column' => true,
			'rewrite'           => array( 'slug' => esc_html_x( 'faq-category', 'taxonomy slug', 'technico' ) ),
		) );

	}
	endif;
