<?php
	add_action( 'admin_init', 'technico_cpt_page_add_metaboxes' );
	add_action( 'save_post', 'technico_cpt_page_update_meta' );

	if ( ! function_exists( 'technico_cpt_page_add_metaboxes' ) ):
	function technico_cpt_page_add_metaboxes() {
		add_meta_box( 'technico-page-box', esc_html__( 'Page Options', 'technico' ), 'technico_add_cpt_page_meta_box', 'page', 'normal', 'high' );

		add_meta_box( 'technico-tpl-project-listing-meta', __( 'Project Listing Options', 'technico' ), 'technico_add_page_project_listing_meta_box', 'page', 'normal', 'high' );
		add_meta_box( 'technico-tpl-service-listing-meta', __( 'Service Listing Options', 'technico' ), 'technico_add_page_service_listing_meta_box', 'page', 'normal', 'high' );
		add_meta_box( 'technico-tpl-team-listing-meta', __( 'Team Listing Options', 'technico' ), 'technico_add_page_team_listing_meta_box', 'page', 'normal', 'high' );
		add_meta_box( 'technico-tpl-faq-listing-meta', __( 'FAQ Listing Options', 'technico' ), 'technico_add_page_faq_listing_meta_box', 'page', 'normal', 'high' );
		add_meta_box( 'technico-tpl-diy-listing-meta', __( 'DIY Listing Options', 'technico' ), 'technico_add_page_diy_listing_meta_box', 'page', 'normal', 'high' );
	}
	endif;

	if ( ! function_exists( 'technico_cpt_page_update_meta' ) ):
	function technico_cpt_page_update_meta( $post_id ) {

		if ( ! technico_can_save_meta( 'page' ) ) {
			return;
		}

		update_post_meta( $post_id, 'technico_hide_featured', technico_sanitize_checkbox_ref( $_POST['technico_hide_featured'] ) );
		update_post_meta( $post_id, 'technico_subtitle', sanitize_text_field( $_POST['technico_subtitle'] ) );

		update_post_meta( $post_id, 'technico_project_listing_base_category', intval( $_POST['technico_project_listing_base_category'] ) );
		update_post_meta( $post_id, 'technico_project_listing_layout', array_key_exists( $_POST['technico_project_listing_layout'], technico_get_listing_layouts() ) ? $_POST['technico_project_listing_layout'] : '2-sidebar' );
		update_post_meta( $post_id, 'technico_project_listing_item_layout', array_key_exists( $_POST['technico_project_listing_item_layout'], technico_get_listing_item_layouts( 'technico_project' ) ) ? $_POST['technico_project_listing_item_layout'] : 'thumb' );
		update_post_meta( $post_id, 'technico_project_listing_posts_per_page', intval( $_POST['technico_project_listing_posts_per_page'] ) );

		update_post_meta( $post_id, 'technico_service_listing_base_category', intval( $_POST['technico_service_listing_base_category'] ) );
		update_post_meta( $post_id, 'technico_service_listing_layout', array_key_exists( $_POST['technico_service_listing_layout'], technico_get_listing_layouts() ) ? $_POST['technico_service_listing_layout'] : '2-sidebar' );
		update_post_meta( $post_id, 'technico_service_listing_item_layout', array_key_exists( $_POST['technico_service_listing_item_layout'], technico_get_listing_item_layouts( 'technico_service' ) ) ? $_POST['technico_service_listing_item_layout'] : 'thumb' );
		update_post_meta( $post_id, 'technico_service_listing_posts_per_page', intval( $_POST['technico_service_listing_posts_per_page'] ) );

		update_post_meta( $post_id, 'technico_team_listing_base_category', intval( $_POST['technico_team_listing_base_category'] ) );
		update_post_meta( $post_id, 'technico_team_listing_layout', array_key_exists( $_POST['technico_team_listing_layout'], technico_get_listing_layouts() ) ? $_POST['technico_team_listing_layout'] : '2-sidebar' );
		update_post_meta( $post_id, 'technico_team_listing_posts_per_page', intval( $_POST['technico_team_listing_posts_per_page'] ) );

		update_post_meta( $post_id, 'technico_faq_listing_base_category', intval( $_POST['technico_faq_listing_base_category'] ) );

		update_post_meta( $post_id, 'technico_diy_listing_base_category', intval( $_POST['technico_diy_listing_base_category'] ) );
		update_post_meta( $post_id, 'technico_diy_listing_posts_per_page', intval( $_POST['technico_diy_listing_posts_per_page'] ) );
	}
	endif;

	if ( ! function_exists( 'technico_add_cpt_page_meta_box' ) ):
	function technico_add_cpt_page_meta_box( $post ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_checkbox( 'technico_hide_featured', 1, esc_html__( "Don't show the featured image when viewing this individual page.", 'technico' ) );
				technico_metabox_input( 'technico_subtitle', esc_html__( 'Subtitle (optional):', 'technico' ) );
			technico_metabox_close_tab();
		?></div><?php
	}
	endif;


	if ( ! function_exists( 'technico_add_page_project_listing_meta_box' ) ):
	function technico_add_page_project_listing_meta_box( $object, $box ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_guide( __( "Select a base category. Only items from the selected category will be displayed. If you don't select one (i.e. empty) items from all categories will be shown.", 'technico' ) );
				?><p class="ci-field-group ci-field-dropdown"><label for="technico_project_base_category"><?php esc_html_e( 'Base category:', 'technico' ); ?></label> <?php
				$category = get_post_meta( $object->ID, 'technico_project_listing_base_category', true );
				wp_dropdown_categories( array(
					'selected'          => $category,
					'id'                => 'technico_project_listing_base_category',
					'name'              => 'technico_project_listing_base_category',
					'show_option_none'  => ' ',
					'option_none_value' => 0,
					'taxonomy'          => 'technico_project_category',
					'hierarchical'      => 1,
					'show_count'        => 1,
					'hide_empty'        => 0
				) );
				?></p><?php

				technico_metabox_dropdown( 'technico_project_listing_layout', technico_get_listing_layouts(), esc_html__( 'Listing layout:', 'technico' ) );
				technico_metabox_dropdown( 'technico_project_listing_item_layout', technico_get_listing_item_layouts( 'technico_project' ), esc_html__( 'Items layout:', 'technico' ) );
				technico_metabox_guide( sprintf( __( 'Set the number of items per page that you want to display. Setting this to <strong>-1</strong> will show <strong>all items</strong>>, while setting it to zero or leaving it empty, will follow the global option set from <em>Settings -> Reading</em>, currently set to <strong>%s items per page</strong>.', 'technico' ), get_option( 'posts_per_page' ) ) );
				technico_metabox_input( 'technico_project_listing_posts_per_page', __( 'Items per page:', 'technico' ), array( 'input_type' => 'number' ) );
			technico_metabox_close_tab();
		?></div><?php

		technico_bind_metabox_to_page_template( 'technico-tpl-project-listing-meta', 'template-listing-technico_project.php', 'technico_tpl_project_listing_metabox' );
	}
	endif;


	if ( ! function_exists( 'technico_add_page_service_listing_meta_box' ) ):
	function technico_add_page_service_listing_meta_box( $object, $box ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_guide( __( "Select a base category. Only items from the selected category will be displayed. If you don't select one (i.e. empty) items from all categories will be shown.", 'technico' ) );
				?><p class="ci-field-group ci-field-dropdown"><label for="technico_service_base_category"><?php esc_html_e( 'Base category:', 'technico' ); ?></label> <?php
				$category = get_post_meta( $object->ID, 'technico_service_listing_base_category', true );
				wp_dropdown_categories( array(
					'selected'          => $category,
					'id'                => 'technico_service_listing_base_category',
					'name'              => 'technico_service_listing_base_category',
					'show_option_none'  => ' ',
					'option_none_value' => 0,
					'taxonomy'          => 'technico_service_category',
					'hierarchical'      => 1,
					'show_count'        => 1,
					'hide_empty'        => 0
				) );
				?></p><?php

				technico_metabox_dropdown( 'technico_service_listing_layout', technico_get_listing_layouts(), esc_html__( 'Listing layout:', 'technico' ) );
				technico_metabox_dropdown( 'technico_service_listing_item_layout', technico_get_listing_item_layouts( 'technico_service' ), esc_html__( 'Items layout:', 'technico' ) );
				technico_metabox_guide( sprintf( __( 'Set the number of items per page that you want to display. Setting this to <strong>-1</strong> will show <strong>all items</strong>>, while setting it to zero or leaving it empty, will follow the global option set from <em>Settings -> Reading</em>, currently set to <strong>%s items per page</strong>.', 'technico' ), get_option( 'posts_per_page' ) ) );
				technico_metabox_input( 'technico_service_listing_posts_per_page', __( 'Items per page:', 'technico' ), array( 'input_type' => 'number' ) );
			technico_metabox_close_tab();
		?></div><?php

		technico_bind_metabox_to_page_template( 'technico-tpl-service-listing-meta', 'template-listing-technico_service.php', 'technico_tpl_service_listing_metabox' );
	}
	endif;


	if ( ! function_exists( 'technico_add_page_team_listing_meta_box' ) ):
	function technico_add_page_team_listing_meta_box( $object, $box ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_guide( __( "Select a base category. Only items from the selected category will be displayed. If you don't select one (i.e. empty) items from all categories will be shown.", 'technico' ) );
				?><p class="ci-field-group ci-field-dropdown"><label for="technico_team_base_category"><?php esc_html_e( 'Base category:', 'technico' ); ?></label> <?php
				$category = get_post_meta( $object->ID, 'technico_team_listing_base_category', true );
				wp_dropdown_categories( array(
					'selected'          => $category,
					'id'                => 'technico_team_listing_base_category',
					'name'              => 'technico_team_listing_base_category',
					'show_option_none'  => ' ',
					'option_none_value' => 0,
					'taxonomy'          => 'technico_team_category',
					'hierarchical'      => 1,
					'show_count'        => 1,
					'hide_empty'        => 0
				) );
				?></p><?php

				technico_metabox_dropdown( 'technico_team_listing_layout', technico_get_listing_layouts(), esc_html__( 'Listing layout:', 'technico' ) );
				technico_metabox_guide( sprintf( __( 'Set the number of items per page that you want to display. Setting this to <strong>-1</strong> will show <strong>all items</strong>>, while setting it to zero or leaving it empty, will follow the global option set from <em>Settings -> Reading</em>, currently set to <strong>%s items per page</strong>.', 'technico' ), get_option( 'posts_per_page' ) ) );
				technico_metabox_input( 'technico_team_listing_posts_per_page', __( 'Items per page:', 'technico' ), array( 'input_type' => 'number' ) );
			technico_metabox_close_tab();
		?></div><?php

		technico_bind_metabox_to_page_template( 'technico-tpl-team-listing-meta', 'template-listing-technico_team.php', 'technico_tpl_team_listing_metabox' );
	}
	endif;

	if ( ! function_exists( 'technico_add_page_faq_listing_meta_box' ) ):
	function technico_add_page_faq_listing_meta_box( $object, $box ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_guide( __( "Select a base category. Only items from the selected category will be displayed. If you don't select one (i.e. empty) items from all categories will be shown.", 'technico' ) );
				?><p class="ci-field-group ci-field-dropdown"><label for="technico_faq_base_category"><?php esc_html_e( 'Base category:', 'technico' ); ?></label> <?php
				$category = get_post_meta( $object->ID, 'technico_faq_listing_base_category', true );
				wp_dropdown_categories( array(
					'selected'          => $category,
					'id'                => 'technico_faq_listing_base_category',
					'name'              => 'technico_faq_listing_base_category',
					'show_option_none'  => ' ',
					'option_none_value' => 0,
					'taxonomy'          => 'technico_faq_category',
					'hierarchical'      => 1,
					'show_count'        => 1,
					'hide_empty'        => 0
				) );
				?></p><?php
			technico_metabox_close_tab();
		?></div><?php

		technico_bind_metabox_to_page_template( 'technico-tpl-faq-listing-meta', 'template-listing-technico_faq.php', 'technico_tpl_faq_listing_metabox' );
	}
	endif;

	if ( ! function_exists( 'technico_add_page_diy_listing_meta_box' ) ):
	function technico_add_page_diy_listing_meta_box( $object, $box ) {
		technico_prepare_metabox( 'page' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_guide( __( "Select a base category. Only items from the selected category will be displayed. If you don't select one (i.e. empty) items from all categories will be shown.", 'technico' ) );
				?><p class="ci-field-group ci-field-dropdown"><label for="technico_diy_base_category"><?php esc_html_e( 'Base category:', 'technico' ); ?></label> <?php
				$category = get_post_meta( $object->ID, 'technico_diy_listing_base_category', true );
				wp_dropdown_categories( array(
					'selected'          => $category,
					'id'                => 'technico_diy_listing_base_category',
					'name'              => 'technico_diy_listing_base_category',
					'show_option_none'  => ' ',
					'option_none_value' => 0,
					'taxonomy'          => 'technico_diy_category',
					'hierarchical'      => 1,
					'show_count'        => 1,
					'hide_empty'        => 0
				) );
				?></p><?php

				technico_metabox_guide( sprintf( __( 'Set the number of items per page that you want to display. Setting this to <strong>-1</strong> will show <strong>all items</strong>>, while setting it to zero or leaving it empty, will follow the global option set from <em>Settings -> Reading</em>, currently set to <strong>%s items per page</strong>.', 'technico' ), get_option( 'posts_per_page' ) ) );
				technico_metabox_input( 'technico_diy_listing_posts_per_page', __( 'Items per page:', 'technico' ), array( 'input_type' => 'number' ) );
			technico_metabox_close_tab();
		?></div><?php

		technico_bind_metabox_to_page_template( 'technico-tpl-diy-listing-meta', 'template-listing-technico_diy.php', 'technico_tpl_diy_listing_metabox' );
	}
	endif;
