<?php
	add_action( 'admin_init', 'technico_cpt_post_add_metaboxes' );
	add_action( 'save_post', 'technico_cpt_post_update_meta' );

	if ( ! function_exists( 'technico_cpt_post_add_metaboxes' ) ):
	function technico_cpt_post_add_metaboxes() {
		add_meta_box( 'technico-post-details', esc_html__( 'Post Options', 'technico' ), 'technico_add_post_details_meta_box', 'post', 'normal', 'high' );
	}
	endif;

	if ( ! function_exists( 'technico_cpt_post_update_meta' ) ):
	function technico_cpt_post_update_meta( $post_id ) {

		if ( ! technico_can_save_meta( 'post' ) ) {
			return;
		}

		update_post_meta( $post_id, 'technico_hide_featured', technico_sanitize_checkbox_ref( $_POST['technico_hide_featured'] ) );
	}
	endif;

	if ( ! function_exists( 'technico_add_post_details_meta_box' ) ):
	function technico_add_post_details_meta_box( $object, $box ) {
		technico_prepare_metabox( 'post' );

		?><div class="ci-cf-wrap"><?php
			technico_metabox_open_tab( '' );
				technico_metabox_checkbox( 'technico_hide_featured', 1, esc_html__( "Don't show the featured image when viewing this individual page.", 'technico' ) );
			technico_metabox_close_tab();
		?></div><?php

	}
	endif;
