<?php
add_action( 'wp_head', 'technico_customizer_css' );
if ( ! function_exists( 'technico_customizer_css' ) ):
function technico_customizer_css() {
?><style type="text/css"><?php


	//
	// Global Colors
	//
	if ( get_theme_mod( 'global_primary_color' ) ) {
		$primary_color = get_theme_mod( 'global_primary_color' );
		?>
		a,
		.btn:hover,
		input[type="button"]:hover,
		input[type="submit"]:hover,
		input[type="reset"]:hover,
		button:hover,
		.head-text-icon a:hover,
		.head-text-icon i,
		.entry-title a:hover,
		.entry-meta-item::after,
		.entry-meta-item a:hover,
		.entry-content blockquote::before,
		.paging a:hover,
		.paging .current,
		.back-top:hover,
		.faq-title:hover,
		.faq-title.faq-open,
		.footer a:not(.btn):hover,
		.footer .widget a:not(.btn):hover,
		.footer-copy a:not(.btn),
		.widget-title a:hover,
		.module-title a:hover,
		.item-title a:hover,
		.widget_meta ul li a:hover,
		.widget_pages ul li a:hover,
		.widget_categories ul li a:hover,
		.widget_archive ul li a:hover,
		.widget_recent_entries ul li a:hover,
		.menu .current-menu-item > a,
		.sidebar .menu-item a:hover,
		.link-list .current-menu-item > a,
		.link-list-item a:hover,
		.social-icon:hover,
		.comment-reply-link:hover {
			color: <?php echo $primary_color; ?>
		}

		.ci-select select,
		.btn,
		input[type="button"],
		input[type="submit"],
		input[type="reset"],
		button,
		.page-hero,
		.paging a,
		.paging > span,
		.paging li span,
		.back-top,
		.faq-title,
		.main-slider .ci-control-paging li a.ci-active,
		.sidebar .menu-item a,
		.link-list-item a,
		.social-icon,
		.entry-meta::after,
		.item-entry-item::after,
		.widget-title::after,
		.module-title::after,
		.item-title::after,
		.section-title-wrap::after,
		.comment-reply-link {
			background-color: <?php echo $primary_color; ?>
		}

		a:hover {
			color: <?php echo technico_color_luminance( $primary_color, 0.1 ); ?>
		}

		.ci-map-wrap,
		.item-icon,
		.item-pricing-featured,
		input,
		textarea {
			border-color: <?php echo $primary_color; ?>
		}

		.navigation > li > a:hover,
		.navigation > li.sfHover > a,
		.navigation > li.sfHover > a:active,
		.navigation > li.current_page_item > a,
		.navigation > li.current-menu-item > a,
		.navigation > li.current-menu-ancestor > a,
		.navigation > li.current-menu-parent > a,
		.navigation > li.current > a,
		.entry-content a {
			border-bottom-color: <?php echo $primary_color; ?>
		}

		<?php
	}

	if ( get_theme_mod( 'text_on_primary_color' ) ) {
		$text_on_primary = get_theme_mod( 'text_on_primary_color' );
		?>
		.ci-select select,
		.ci-select::after,
		.btn,
		input[type="button"],
		input[type="submit"],
		input[type="reset"],
		button,
		.comment-reply-link,
		.page-hero,
		.paging a,
		.paging > span,
		.paging li span,
		.faq-title,
		.sidebar .menu-item a,
		.link-list-item a,
		.social-icon,
		.back-top {
			color: <?php echo $text_on_primary; ?>
		}
		<?php
	}

	if ( get_theme_mod( 'global_secondary_color' ) ) {
		$secondary_color = get_theme_mod( 'global_secondary_color' );
		?>

		.footer a:not(.btn).social-icon,
		.widget a:not(.btn).social-icon,
		.footer .link-list-item a:not(.btn) {
			color: <?php echo $secondary_color; ?>
		}

		.btn:hover,
		input[type="button"]:hover,
		input[type="submit"]:hover,
		input[type="reset"]:hover,
		button:hover,
		.footer,
		.pre-head,
		.paging a:hover,
		.paging .current,
		.faq-title:hover,
		.faq-title.faq-open,
		.menu .current-menu-item > a,
		.sidebar .menu-item a:hover,
		.link-list .current-menu-item > a,
		.link-list-item a:hover,
		.social-icon:hover,
		.back-top:hover,
		.comment-reply-link:hover {
			background-color: <?php echo $secondary_color; ?>
		}

		input:hover,
		textarea:hover,
		input:hover,
		textarea:hover {
			border-color: <?php echo $secondary_color; ?>
		}

		<?php
	}

	if ( get_theme_mod( 'text_on_secondary_color' ) ) {
		$text_on_secondary = get_theme_mod( 'text_on_secondary_color' );
		?>
		.footer,
		.footer a:not(.btn),
		.footer .widget a:not(.btn),
		.footer-copy a:not(.btn):hover,
		.pre-head,
		.head-text-icon a,
		.back-top:hover {
			color: <?php echo $text_on_secondary; ?>
		}
		<?php
	}

	if ( get_theme_mod( 'global_text_color' ) ) {
		$text_color       = get_theme_mod( 'global_text_color' );
		$text_color_light = technico_hex2rgba( $text_color, 0.75 );
		?>
		body,
		.widget .instagram-pics li a,
		input,
		textarea,
		.comment-metadata a,
		.site-logo a,
		.mobile-menu-trigger,
		.mobile-menu-trigger:hover,
		.entry-title a,
		.entry-meta-item a,
		.entry-content a,
		.module-testimonial-cite,
		.module-contact-info li a,
		.navigation > li ul a:hover,
		.navigation > li ul .sfHover > a,
		.navigation > li > a:hover,
		.navigation > li.sfHover > a,
		.navigation > li.sfHover > a:active,
		.navigation > li.current_page_item > a,
		.navigation > li.current-menu-item > a,
		.navigation > li.current-menu-ancestor > a,
		.navigation > li.current-menu-parent > a,
		.navigation > li.current > a,
		.widget_meta ul li a,
		.widget_pages ul li a,
		.widget_categories ul li a,
		.widget_archive ul li a,
		.widget_recent_entries ul li a {
			color: <?php echo $text_color; ?>;
		}

		.entry-content a:hover {
			border-bottom-color: <?php echo $text_color; ?>
		}
	
		blockquote cite,
		.comment-notes,
		.form-allowed-tags {
			color: <?php echo $text_color_light; ?>;
		}

		::-webkit-input-placeholder { color: <?php echo $text_color_light; ?>; }
		:-moz-placeholder           { color: <?php echo $text_color_light; ?>; }
		::-moz-placeholder          { color: <?php echo $text_color_light; ?>; }
		:-ms-input-placeholder      { color: <?php echo $text_color_light; ?>; }
		<?php
	}

	if ( get_theme_mod( 'global_link_color' ) ) {
		?>
		.entry-content a,
		.entry-content a:hover {
			color: <?php echo get_theme_mod( 'global_link_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'global_link_hover_color' ) ) {
		?>
		.entry-content a:hover {
			color: <?php echo get_theme_mod( 'global_link_hover_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'global_border_color' ) ) {
		$border_color = get_theme_mod( 'global_border_color' );
		?>
		.widget select,
		.project-meta,
		.item-pricing,
		.navigation ul {
			border-color: <?php echo $border_color; ?>;
		}

		.entry-tags {
			border-top-color: <?php echo $border_color; ?>;
		}

		.table th,
		.table td,
		.project-meta th,
		.project-meta td {
			border-bottom-color: <?php echo $border_color; ?>;
		}

		.project-meta th,
		.project-meta td {
			border-right-color: <?php echo $border_color; ?>
		}

		.item-features,
		.navigation > li ul a {
			border-bottom-color: <?php echo technico_hex2rgba( $border_color, 0.45 ); ?>
		}
		<?php
	}

	//
	// Header
	//

	if ( get_theme_mod( 'header_nav_color' ) ) {
		?>
		.navigation a {
			color: <?php echo get_theme_mod( 'header_nav_color' ); ?>
		}
		<?php
	}

	if ( get_theme_mod( 'header_nav_color_hover' ) ) {
		?>

		.navigation > li > a:hover,
		.navigation > li.sfHover > a,
		.navigation > li.sfHover > a:active,
		.navigation > li.current_page_item > a,
		.navigation > li.current-menu-item > a,
		.navigation > li.current-menu-ancestor > a,
		.navigation > li.current-menu-parent > a,
		.navigation > li.current > a,
		.navigation	> li ul a:hover,
		.navigation > li ul .sfHover > a {
			color: <?php echo get_theme_mod( 'header_nav_color_hover' ); ?>
		}

		<?php
	}

	if ( get_theme_mod( 'header_subnav_bg_color' ) ) {
		$subnav_bg = get_theme_mod( 'header_subnav_bg_color' );
		?>
		.navigation ul {
			background-color: <?php echo $subnav_bg; ?>;
			border-color: <?php echo technico_color_luminance( $subnav_bg, -0.1);	?>;
		}

		.navigation > li ul a {
			border-bottom-color: <?php echo technico_color_luminance( $subnav_bg, -0.1);	?>;
		}
		<?php
	}


	if( get_theme_mod( 'hero_text_color' ) || get_theme_mod( 'hero_bg_color' ) || get_theme_mod( 'hero_bg_image' ) ) {
		?>
		.page-hero {
			<?php

			if ( get_theme_mod( 'hero_text_color' ) ) {
				?>
				color: <?php echo get_theme_mod( 'hero_text_color' ); ?>;
				<?php
			}

			if ( get_theme_mod( 'hero_bg_color' ) ) {
				?>
				background-color: <?php echo get_theme_mod( 'hero_bg_color' ); ?>;
				<?php
			}

			if ( get_theme_mod( 'hero_bg_image' ) ) {
				?>
				background-image: url('<?php echo esc_url( get_theme_mod( 'hero_bg_image' ) ); ?>');
				background-position: center top;
				background-repeat: repeat;
				<?php
			}

			?>
		}
		<?php
	}



	//
	// Sidebar
	//
	if ( get_theme_mod( 'sidebar_bg_color' ) ) {
		?>
		.sidebar {
			padding: 15px;
			background-color: <?php echo get_theme_mod( 'sidebar_bg_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_text_color' ) ) {
		?>
		.sidebar {
			color: <?php echo get_theme_mod( 'sidebar_text_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_link_color' ) ) {
		?>
		.sidebar a,
		.sidebar a:hover,
		.sidebar .widget_meta ul li a,
		.sidebar .widget_pages ul li a,
		.sidebar .widget_categories ul li a,
		.sidebar .widget_archive ul li a,
		.sidebar .widget_recent_entries ul li a {
			color: <?php echo get_theme_mod( 'sidebar_link_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_hover_color' ) ) {
		?>
		.sidebar a:hover,
		.sidebar .widget_meta ul li a:hover,
		.sidebar .widget_pages ul li a:hover,
		.sidebar .widget_categories ul li a:hover,
		.sidebar .widget_archive ul li a:hover,
		.sidebar .widget_recent_entries ul li a:hover {
			color: <?php echo get_theme_mod( 'sidebar_hover_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_title_color' ) ) {
		?>
		.sidebar .widget-title,
		.sidebar .widget-title a {
			color: <?php echo get_theme_mod( 'sidebar_title_color' ); ?>;
		}

		.sidebar .widget-title::after {
			background-color: <?php echo get_theme_mod( 'sidebar_title_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_border_color' ) ) {
		?>
		.sidebar input,
		.sidebar textarea {
			border-color: <?php echo get_theme_mod( 'sidebar_border_color' ); ?>;
		}
		<?php
	}

	
	//
	// Typography
	//
	if ( get_theme_mod( 'h1_size' ) ) {
		?>
		h1:not(.site-logo) {
			font-size: <?php echo get_theme_mod( 'h1_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'h2_size' ) ) {
		?>
		h2 {
			font-size: <?php echo get_theme_mod( 'h2_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'h3_size' ) ) {
		?>
		h3 {
			font-size: <?php echo get_theme_mod( 'h3_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'h4_size' ) ) {
		?>
		h4 {
			font-size: <?php echo get_theme_mod( 'h4_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'h5_size' ) ) {
		?>
		h5 {
			font-size: <?php echo get_theme_mod( 'h5_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'h6_size' ) ) {
		?>
		h6 {
			font-size: <?php echo get_theme_mod( 'h6_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'body_text_size' ) ) {
		?>
		body,
		.entry-content {
			font-size: <?php echo get_theme_mod( 'body_text_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'widgets_text_size' ) ) {
		?>
		.sidebar .widget,
		.footer .widget {
			font-size: <?php echo get_theme_mod( 'widgets_text_size' ); ?>px;
		}
		<?php
	}

	if ( get_theme_mod( 'widgets_title_size' ) ) {
		?>
		.widget-title {
			font-size: <?php echo get_theme_mod( 'widgets_title_size' ); ?>px;
		}
		<?php
	}


	if ( get_theme_mod( 'custom_css' ) ) {
		echo get_theme_mod( 'custom_css' );
	}

	?></style><?php
}
endif;
