<?php
	$title    = '';
	$subtitle = '';

	if ( is_home() || is_singular( 'post' ) ) {
		$pfp      = get_option( 'page_for_posts' );
		$pfp      = intval( $pfp );
		$pfp_post = get_post( $pfp );
		if ( ! empty( $pfp_post ) ) {
			$title    = get_the_title( $pfp_post );
			$subtitle = get_post_meta( $pfp, 'technico_subtitle', true );
		}

		if ( get_theme_mod( 'title_blog' ) ) {
			$title = get_theme_mod( 'title_blog' );
		}
		if ( get_theme_mod( 'title_blog_subtitle' ) ) {
			$subtitle = get_theme_mod( 'title_blog_subtitle' );
		}

	} elseif ( is_page() ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'technico_subtitle', true );

	} elseif ( is_singular( 'technico_service' ) ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'technico_subtitle', true );

		$icon = get_post_meta( get_the_ID(), 'technico_icon', true );
		if ( ! empty( $icon ) ) {
			$title = '<i class="fa ' . esc_attr( $icon ) . '"></i> ' . $title;
		}

	} elseif ( is_singular( 'technico_team' ) ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'technico_subtitle', true );

	} elseif ( is_singular( 'technico_diy' ) ) {
		$title    = get_theme_mod( 'title_diy', esc_html__( 'do it yourself.', 'technico' ) );
		$subtitle = '';

	} elseif ( is_singular() ) {
		$title    = single_post_title( '', false );
		$subtitle = '';

	} elseif ( is_archive() ) {
		$title = get_the_archive_title();

		if ( is_tax() ) {
			$subtitle = term_description();
		}

	} elseif ( is_search() ) {
		global $wp_query;
		$found = $wp_query->found_posts;

		$title    = get_theme_mod( 'title_search', esc_html__( 'search results.', 'technico' ) );
		$subtitle = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'technico' ), $found ) );

	} elseif ( is_404() ) {
		$title    = get_theme_mod( 'title_404', esc_html__( 'page not found.', 'technico' ) );
		$subtitle = '';

	} else {
		$title    = '';
		$subtitle = '';
	}

	$title    = apply_filters( 'technico_hero_title', $title );
	$subtitle = apply_filters( 'technico_hero_subtitle', $subtitle );
?>
<?php if ( ! empty( $title ) || ! empty( $subtitle ) ): ?>
	<div class="page-hero">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<?php if ( ! empty( $title ) ): ?>
						<h2 class="page-title"><?php echo $title; ?></h2>
					<?php endif; ?>

					<?php if ( ! empty( $subtitle ) ): ?>
						<p class="page-subtitle"><?php echo $subtitle; ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>
