<?php
	$networks = technico_get_social_networks();
	$global   = array();
	$used     = array();
	$has_rss  = get_theme_mod( 'rss_feed', get_bloginfo( 'rss2_url' ) ) ? true : false;

	foreach ( $networks as $network ) {
		if ( get_theme_mod( 'social_' . $network['name'] ) ) {
			$global[ $network['name'] ] = get_theme_mod( 'social_' . $network['name'] );
		}
	}

	$used = $global;

	// Set the target attribute for social icons.
	$target = '';
	if ( get_theme_mod( 'social_target', 1 ) == 1 ) {
		$target = 'target="_blank"';
	}

	if ( count( $used ) > 0 || $has_rss ) {
		?>
		<ul class="social-icons">
			<?php
				foreach ( $networks as $network ) {
					if ( ! empty( $used[ $network['name'] ] ) ) {
						echo sprintf( ' <li><a href="%s" class="social-icon" %s><i class="fa %s"></i></a></li>',
							esc_url( $used[ $network['name'] ] ),
							$target,
							esc_attr( $network['icon'] )
						);
					}
				}
			?>
			<?php if ( ! in_the_loop() && $has_rss ): ?>
				<li><a href="<?php echo esc_url( get_theme_mod( 'rss_feed', get_bloginfo( 'rss2_url' ) ) ); ?>" class="social-icon" <?php echo $target; ?>><i class="fa fa-rss"></i></a></li>
			<?php endif; ?>
		</ul>
		<?php
	}
