<?php get_header(); ?>

<?php get_template_part( 'part-hero' ); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xl-9 col-lg-8 col-xs-12">

				<?php
					global $wp_query;

					$found = $wp_query->found_posts;
					$none  = esc_html__( 'No results found. Please broaden your terms and search again.', 'technico' );
					$one   = esc_html__( 'Just one result found. We either nailed it, or you might want to broaden your terms and search again.', 'technico' );
					$many  = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'technico' ), $found ) );
				?>

				<?php if ( $found < 2 ): ?>
					<article class="entry">
						<div class="entry-content">
							<p><?php technico_e_inflect( $found, $none, $one, $many ); ?></p>
							<?php if ( $found < 2 ) {
								get_search_form();
							} ?>
						</div>
					</article>
				<?php endif; ?>

				<?php while ( have_posts() ): the_post(); ?>
					<?php get_template_part( 'listing-item', get_post_type() ); ?>
				<?php endwhile; ?>

				<?php technico_pagination(); ?>
			</div>

			<div class="col-xl-3 col-lg-4 col-xs-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>
