<?php get_header(); ?>

<?php get_template_part( 'part-hero' ); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xl-9 col-lg-8 col-xs-12">
				<?php while ( have_posts() ):the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
						<h1 class="entry-title"><?php the_title(); ?></h1>

						<?php if ( get_theme_mod( 'single_diy_date', 1 ) || get_theme_mod( 'single_diy_categories', 1 ) || get_theme_mod( 'single_diy_comments', 1 ) ): ?>
							<div class="entry-meta">
								<?php if ( get_theme_mod( 'single_diy_date', 1 ) ): ?>
									<time class="entry-meta-item entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>
								<?php endif; ?>

								<?php if ( get_theme_mod( 'single_diy_categories', 1 ) ): ?>
									<p class="entry-meta-item entry-categories">
										<?php the_terms( get_the_ID(), 'technico_diy_category' ); ?>
									</p>
								<?php endif; ?>

								<?php if ( get_theme_mod( 'single_diy_comments', 1 ) ): ?>
									<p class="entry-meta-item entry-comments-link">
										<a href="<?php echo esc_url( get_comments_link() ); ?>">
											<?php comments_number(); ?>
										</a>
									</p>
								<?php endif; ?>
							</div>
						<?php endif; ?>

						<?php if ( has_post_thumbnail() && ! get_post_meta( get_the_ID(), 'technico_hide_featured', true ) && get_theme_mod( 'single_diy_featured', 1 ) ): ?>
							<figure class="entry-thumb">
								<a class="ci-lightbox" href="<?php echo esc_url( technico_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
									<?php the_post_thumbnail( 'technico_featured' ); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
							<?php wp_link_pages(); ?>
						</div>

						<?php if ( get_theme_mod( 'single_diy_comments', 1 ) ) {
							comments_template();
						} ?>
					</article>
				<?php endwhile; ?>
			</div>

			<div class="col-xl-3 col-lg-4 col-xs-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>
