<?php get_header(); ?>

<?php get_template_part( 'part-hero' ); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xl-9 col-lg-8 col-xs-12">
				<?php while ( have_posts() ):the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

						<?php if ( has_post_thumbnail() && ! get_post_meta( get_the_ID(), 'technico_hide_featured', true ) ): ?>
							<figure class="entry-thumb">
								<a class="ci-lightbox" href="<?php echo esc_url( technico_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
									<?php the_post_thumbnail( 'technico_featured' ); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
							<?php wp_link_pages(); ?>
						</div>
					</article>
				<?php endwhile; ?>
			</div>

			<div class="col-xl-3 col-lg-4 col-xs-12">
				<?php $fields = get_post_meta( get_the_ID(), 'technico_project_fields', true ); ?>
				<?php if ( ! empty( $fields ) ): ?>
					<table class="project-meta">
						<tbody>
							<?php foreach( $fields as $field ): ?>
								<tr>
									<th scope="row"><?php echo ! empty( $field['title'] ) ? $field['title'] : '&nbsp;'; ?></th>
									<td><?php echo make_clickable( $field['description'] ); ?></td>
								</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				<?php endif; ?>

				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>
