<?php
/*
 * Template Name: FAQ Listing
 */
?>

<?php get_header(); ?>

<?php get_template_part( 'part-hero' ); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xl-9 col-lg-8 col-xs-12">

				<?php while ( have_posts() ): the_post(); ?>

					<?php
						$cpt            = 'technico_faq';
						$cpt_taxonomy   = 'technico_faq_category';
						$base_category  = get_post_meta( get_the_ID(), 'technico_faq_listing_base_category', true );

						$queried_id = intval( $base_category );
						if ( empty( $queried_id ) ) {
							$terms_ids = get_terms( array(
								'taxonomy'   => $cpt_taxonomy,
								'hide_empty' => true,
								'fields'     => 'ids',
							) );
						} else {
							$terms_ids = get_term_children( $queried_id, $cpt_taxonomy );
						}

						$args = array(
							'post_type'      => $cpt,
							'posts_per_page' => - 1,
							'tax_query'      => array(
								array(
									'taxonomy'         => $cpt_taxonomy,
									'field'            => 'term_id',
									'terms'            => intval( $queried_id ),
									'include_children' => false,
								),
							),
						);
					?>
					<?php if ( empty( $queried_id ) ): ?>
						<?php
							$first_args = $args;
							$first_args['tax_query'][0]['terms'] = $terms_ids;
							$first_args['tax_query'][0]['operator'] = 'NOT IN';
							$q = new WP_Query( $first_args );
						?>
						<?php if ( $q->have_posts() ): ?>
							<div class="faq-section">
								<?php while ( $q->have_posts() ): $q->the_post(); ?>
									<div class="faq-wrap">
										<a href="#" class="faq-title"><?php the_title(); ?></a>
										<div class="faq-content entry-content"><?php the_content(); ?></div>
									</div>
								<?php endwhile; ?>
								<?php wp_reset_postdata(); ?>
							</div>
						<?php endif; ?>
					<?php else: ?>
						<?php $terms_ids = array_merge( array( $queried_id ), $terms_ids ); ?>
					<?php endif; ?>

					<?php foreach ( $terms_ids as $term_id ): ?>
						<?php
							$args['tax_query'][0]['terms'] = $term_id;

							$term = get_term( $term_id );
							$q    = new WP_Query( $args );
						?>
						<?php if ( $q->have_posts() ): ?>
							<div class="faq-section">
								<h2 class="item-title"><?php echo $term->name; ?></h2>

								<?php while ( $q->have_posts() ): $q->the_post(); ?>
									<div class="faq-wrap">
										<a href="#" class="faq-title"><?php the_title(); ?></a>
										<div class="faq-content entry-content"><?php the_content(); ?></div>
									</div>
								<?php endwhile; ?>
								<?php wp_reset_postdata(); ?>
							</div>
						<?php endif; ?>
					<?php endforeach; ?>

				<?php endwhile; ?>
			</div>

			<div class="col-xl-3 col-lg-4 col-xs-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>
